CREATE PROCEDURE PreTest_29_UDFsDefinitionNotMatch() LANGUAGE SQLSCRIPT 
				AS 
			BEGIN
				select T1."UDF", T0."nvarchar_size" as "act_size", T1."nvarchar_size" as "def_size" from (
				select T2.TABLE_NAME || '.' || T2.COLUMN_NAME as "UDF", T2.LENGTH as "nvarchar_size" from "PUBLIC"."TABLE_COLUMNS" T2
				where T2.SCHEMA_NAME = CURRENT_SCHEMA and T2.DATA_TYPE_ID in
				(select TYPE_ID from "PUBLIC"."DATA_TYPES" where TYPE_NAME = 'NVARCHAR')) T0
				inner join (
				select "TableID" || '.U_' || "AliasID" as "UDF", "EditSize" as "nvarchar_size"
				from cufd where "TypeID" = 'A' and "EditSize" > 1) T1
				on T0."UDF" = T1."UDF"
				where T0."nvarchar_size" > T1."nvarchar_size";
			END;







